<?php

if ( ! defined( 'WPINC' ) ) {
	die;
}


	define( 'WCGROUPATTRIBUTES_PATH', get_template_directory().'/app/Modules/gattributes/');
	define( 'WCGROUPATTRIBUTES_DIR', get_template_directory_uri().'/app/Modules/gattributes/' );
	
	function activate_WooCommerce_Group_Attributes() {
		require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-group-attributes-activator.php';
		WooCommerce_Group_Attributes_Activator::activate();
	}
	
	function deactivate_WooCommerce_Group_Attributes() {
		require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-group-attributes-deactivator.php';
		WooCommerce_Group_Attributes_Deactivator::deactivate();
	}
	
	register_activation_hook( __FILE__, 'activate_WooCommerce_Group_Attributes' );
	register_deactivation_hook( __FILE__, 'deactivate_WooCommerce_Group_Attributes' );
	
	require plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-group-attributes.php';

	function run_WooCommerce_Group_Attributes() {
	
		$plugin_data = get_plugin_data( __FILE__ );
		$version = $plugin_data['Version'];
	
		$plugin = new WooCommerce_Group_Attributes($version);
		$plugin->run();
	
		return $plugin;
	
	}
	
	


	$WooCommerce_Group_Attributes = run_WooCommerce_Group_Attributes();